Subject: Get rid of state in Package.xml files
Description

Theory:

The state in Package.xml is redundant (should be in the version number) and will cause inconsistencies over time (just look at the
number of extension in TER being beta although stable for years). We should get rid of it.

Related issues:
related to TYPO3.Flow - Feature # 14: Define the packageInfo.xml format Resolved
related to TYPO3.Flow - Task # 702: RNG schema for Package.xml files is too s... Resolved

Associated revisions
Revision 64e93c11 - 2009-06-30 17:48 - Robert Lemke

    -  [TASK] FLOW3 (Package): Removed the "state" tag from the Package.xml files and the related code. Resolves #3559

Revision 9ae9b93d - 2009-06-30 17:48 - Robert Lemke

    -  [TASK] FLOW3 (Package): Removed the "state" tag from the Package.xml files and the related code. Resolves #3559

History
#1 - 2009-06-04 14:36 - Robert Lemke
- Priority changed from Should have to Could have
- Target version changed from 283 to 1.0 alpha 2

#2 - 2009-06-12 11:32 - Robert Lemke
- Status changed from Accepted to New

#3 - 2009-06-30 18:00 - Robert Lemke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r2685.

#4 - 2009-07-01 09:35 - Robert Lemke
- Assigned To set to Robert Lemke
